FROM image.sourcefind.cn:5000/dcu/admin/base/pytorch:2.1.0-ubuntu20.04-dtk24.04.1-py3.10

COPY . /tmp/

WORKDIR /tmp

# RUN mkdir -p /root/.cache/torch/hub/checkpoints/

RUN pip install -r requirements.txt -i https://mirrors.aliyun.com/pypi/simple

# RUN cp -r ./extra_models/* /root/.cache/torch/hub/checkpoints/

